From 12934069db9e517d48e9616361e6c4d194db2926 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Jonah=20Br=C3=BCchert?= <jbb@kaidan.im>
Date: Fri, 18 Jun 2021 14:06:02 +0200
Subject: [PATCH] teleports: Use QApplication to make it compatible with
 Content Stub

---
 CMakeLists.txt     | 1 +
 app/CMakeLists.txt | 2 +-
 app/main.cpp       | 4 ++--
 3 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index e05d8ae..8857614 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -20,6 +20,7 @@ find_package(Qt5Qml)
 find_package(Qt5Quick)
 find_package(Qt5Concurrent)
 find_package(Qt5QuickControls2)
+find_package(Qt5Widgets)
 
 # Automatically create moc files
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
diff --git a/app/CMakeLists.txt b/app/CMakeLists.txt
index f60c993..4f8192b 100644
--- a/app/CMakeLists.txt
+++ b/app/CMakeLists.txt
@@ -7,7 +7,7 @@ find_package(rLottieQml REQUIRED)
 #"qtdclient.cpp" "qtdthread.cpp" "qml.qrc"
 add_definitions(-DBUILD_VERSION="${BUILD_VERSION}" -DGIT_HASH="${GIT_HASH}")
 add_executable(${PROJECT_NAME} "main.cpp" "messagedelegatemap.cpp" "messagecontentdelegatemap.cpp" "ui-tools/offloadingimageprovider.cpp" "qml/qml.qrc" "qml/icons/icons.qrc")
-target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Quick Qt5::QuickControls2 QuickFlux::quickflux QTdlib rLottieQml::rLottieQml)
+target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Quick Qt5::QuickControls2 Qt5::Widgets QuickFlux::quickflux QTdlib rLottieQml::rLottieQml)
 
 install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 
diff --git a/app/main.cpp b/app/main.cpp
index 3f3d275..482d2c4 100644
--- a/app/main.cpp
+++ b/app/main.cpp
@@ -1,4 +1,4 @@
-#include <QGuiApplication>
+#include <QApplication>
 #include <QQmlApplicationEngine>
 #include <QJsonObject>
 #include <QDebug>
@@ -18,7 +18,7 @@
 
 int main(int argc, char *argv[])
 {
-    QGuiApplication app(argc, argv);
+    QApplication app(argc, argv);
 
     QQuickStyle::setStyle("Suru");
 
-- 
2.35.1

